Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode.nonstiff
Class EulerIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.EulerIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class EulerIntegrator

extends RungeKuttaIntegrator

This class implements a simple Euler integrator for Ordinary Differential Equations.

The Euler algorithm is the simplest one that can be used to integrate ordinary differential equations. It is a simple inversion of the forward difference expression : `f'=(f(t+h)-f(t))/h` which leads to `f(t+h)=f(t)+hf'`. The interpolation scheme used for dense output is the linear scheme already used for integration.

This algorithm looks cheap because it needs only one function evaluation per step. However, as it uses linear estimates, it needs very small steps to achieve high accuracy, and small steps lead to numerical errors and instabilities.

This algorithm is almost never used and has been included in this package only as a comparison reference for more useful integrators.

Since:
  1.2
Version:
  $Revision: 810196 $ $Date: 2009-09-01 21:47:46 +0200 (mar. 01 sept. 2009) $
See Also:
  `MidpointIntegrator`, `ClassicalRungeKuttaIntegrator`, `GillIntegrator`, `ThreeEighthesIntegrator`

Field Summary

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

Constructor Summary
`EulerIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`acceptStep, addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EulerIntegrator

    public EulerIntegrator(double step)

  Simple constructor. Build an Euler integrator with the given step.

  Parameters:
    `step` - integration step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.